.container {
    height: 150px;
    perspective: 600;
    position: relative;
    width: 150px;
}

.card {
    height: 100%;
    position: absolute;
    transform-style: preserve-3d;
    transition: all 1s ease-in-out;
    width: 100%;
}

.card:hover {
    transform: rotateY(180deg);
    cursor: pointer;
}

.card .side {
    backface-visibility: hidden;
    height: 100%;
    position: absolute;
    width: 100%;
    background: green;
}

.card .back {
    transform: rotateY(180deg);
    background: red;
}










